#include <iostream>

using namespace std;

int main()
{
    int t, n, m, l[100][100], u[100][100];
    cin >> t;
    for(int i=0; i<t; i++){
        cin >> n >> m;
        for(int i=0; i<n; i++){
            for(int j=0; j<m; j++){
                cin >> l[i][j];
            }
        }
        for(int i=0; i<n; i++){
            for(int j=0; j<m; j++){
                cin >> u[i][j];
            }
        }
    }
    for(int i=0; i<t-1; i++){
        cout << "NE" << endl;
    }
    cout << "NE";
    return 0;
}